DEF VAR cLine          AS CHAR NO-UNDO.
DEF VAR sp-companycode AS CHAR NO-UNDO.
DEF VAR iCorrected     AS INT  NO-UNDO.

sp-companycode = 'ROW'.

DEF BUFFER b-ec-container_history FOR ec-container_history.

FORM ec-container.containerprefix AT 1 ec-container.containernr AT 20 SKIP
     cLine AT 1 ec-container.act_linecode AT 20  skip
     iCorrected AT 1 WITH FRAME a.

FOR EACH ec-container NO-LOCK WHERE 
         ec-container.companycode = sp-companycode WITH FRAME a: 
  cLine = "".
  FIND LAST ec-container_history WHERE
            ec-container_history.companycode     = sp-companycode
        AND ec-container_history.containerprefix = ec-container.containerprefix
        AND ec-container_history.containernr     = ec-container.containernr    
        AND ec-container_history.statuscode      = "ONH"    
            USE-INDEX dt_move NO-LOCK NO-ERROR.
  IF AVAIL ec-container_history
  THEN cLine = ec-container_history.linecode.
  IF NOT AVAIL ec-container_history
  THEN DO:
    FIND FIRST ec-container_history WHERE
               ec-container_history.companycode     = sp-companycode
           AND ec-container_history.containerprefix = ec-container.containerprefix
           AND ec-container_history.containernr     = ec-container.containernr    
               USE-INDEX dt_move NO-LOCK NO-ERROR.
    IF AVAIL ec-container_history
    THEN cLine = ec-container_history.linecode.
  END.
  IF cLine <> "" AND cLine <> ec-container.act_linecode
  THEN DO TRANSACTION:
    DISPLAY ec-container.containerprefix ec-container.containernr 
            cLine ec-container.act_linecode iCorrected WITH FRAME a.
    FOR EACH b-ec-container_history EXCLUSIVE WHERE
             b-ec-container_history.companycode     = sp-companycode
         AND b-ec-container_history.containerprefix = ec-container.containerprefix
         AND b-ec-container_history.containernr     = ec-container.containernr    
         AND b-ec-container_history.linecode       <> cLine    
             USE-INDEX dt_move WITH FRAME a:
      b-ec-container_history.linecode = cLine.
      iCorrected = iCorrected + 1.
    END.
    DISPLAY ec-container.containerprefix ec-container.containernr 
            cLine ec-container.act_linecode iCorrected WITH FRAME a.
  END.
END.


