/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/Pickup.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:21
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttPickup BEFORE-TABLE bttPickup
    FIELD archived LIKE ec-pickup.archived
    FIELD calc_c_specification AS CHARACTER LABEL "Specification"
    FIELD companycode LIKE ec-pickup.companycode
    FIELD conditioncode LIKE ec-pickup.conditioncode
    FIELD contractcode LIKE ec-pickup.contractcode
    FIELD create_usercode LIKE ec-pickup.create_usercode
    FIELD dis_locationcode LIKE ec-pickup.dis_locationcode
    FIELD dropoff_refnr LIKE ec-pickup.dropoff_refnr
    FIELD dt_create LIKE ec-pickup.dt_create
    FIELD dt_pickup LIKE ec-pickup.dt_pickup
    FIELD dt_update LIKE ec-pickup.dt_update
    FIELD dt_valid LIKE ec-pickup.dt_valid
    FIELD dt_valid_redelivery LIKE ec-pickup.dt_valid_redelivery
    FIELD ind_changelocation LIKE ec-pickup.ind_changelocation
    FIELD ind_inactive LIKE ec-pickup.ind_inactive
    FIELD ind_redelivery_details LIKE ec-pickup.ind_redelivery_details
    FIELD linecode LIKE ec-pickup.linecode
    FIELD locationcode LIKE ec-pickup.locationcode
    FIELD motcode LIKE ec-pickup.motcode
    FIELD next_csc LIKE ec-pickup.next_csc
    FIELD onhire_reference LIKE ec-pickup.onhire_reference
    FIELD pickup_refnr LIKE ec-pickup.pickup_refnr
    FIELD redelivery_locationcode LIKE ec-pickup.redelivery_locationcode
    FIELD redelivery_reference LIKE ec-pickup.redelivery_reference
    FIELD redelivery_remarks LIKE ec-pickup.redelivery_remarks
    FIELD remark LIKE ec-pickup.remark
    FIELD substatuscode LIKE ec-pickup.substatuscode
    FIELD survey LIKE ec-pickup.survey
    FIELD tim_create LIKE ec-pickup.tim_create
    FIELD tim_update LIKE ec-pickup.tim_update
    FIELD update_usercode LIKE ec-pickup.update_usercode
.

DEFINE DATASET dsPickup FOR ttPickup.